<config>
	<hostdec>
		<host name="rcor">
			<resource name="processamento" />
		</host>
	</hostdec>
	
	<placement>
		<filter name="leitura" libname="leitura.so" instances="4">
			<instance demands="processamento" />
		</filter>
		<filter name="contador" libname="contador.so" instances="4">
			<instance demands="processamento"/>
		</filter>
		<filter name="saida" libname="saida.so" instances="1">
			<instance demands="processamento"/>
		</filter>
	</placement>
	
	<layout>
		<stream>
			<from filter="leitura" port="saida_leitura"  />
			<to filter="contador" port="entrada_contador"  />
		</stream>
		<stream>
			<from filter="contador" port="saida_contador"/>
			<to filter="saida" port="entrada_saida" />
		</stream>
	</layout>
</config>
